/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


:root {
	--whiteColor: #FFF;
	--lightColor:#fbfbfb;
	--eColor: #eee;
	--dColor: #DDD;
	--cColor:#CCC;
	--darkColor:#333;
	--darkColorTrans : rgba(0, 0, 0, .5);
	--lightColorTrans : rgba(255, 255, 255, .5);


	--mainColor: #4384F3;
	--contrastColor: var(--whiteColor);
}

/* 
## Class

# btn
- btn color
- btn lineWhite
- btn lineColor

# list
- list check
-- list check color
-- list check grey
- list plus
-- list plus color
-- list plus grey
- list puce
-- list puce color
-- list puce grey


## Column
- column icon
-- column icon check
--- column icon check big
--- column icon check color
--- column icon check grey
---- column icon check big color
---- column icon check big grey
-- column icon plus
--- column icon plus big
--- column icon plus color
--- column icon plus grey
---- column icon plus big color
---- column icon plus big grey

*/


/* ------- MEP ------- */


body{
	background-color: var(--whiteColor) !important;
}

.gb-highlight{
	color: var(--mainColor) !important;
}

#content a{
	color: var(--mainColor) ;

}




/* ------- Hide ------- */

.hide{
	display: none !important;
}
.block-editor-block-list__block.hide{
	display: block !important;

}
.block-editor-block-list__block.hide >*{
	background-color: red !important;
	opacity: .5 !important;
}
.block-editor-block-list__block.hide:before{
	content: "HIDDEN CLASS";
	color: red;
	font-weight:bolder;
	font-size: 1rem;
}

/* --------- btn */


.btn{
	background-color: var(--darkColor) !important;
	color: var(--whiteColor) !important;

	text-transform: uppercase;
	font-size: .75em;
	letter-spacing: 2px;
	font-weight:bolder;
}

.btn.color{
	background-color: var(--mainColor) !important;
	color: var(--contrastColor) !important;
}

.btn.lineWhite{
	background-color: inherit !important;
	border: 1px solid var(--whiteColor) !important;
	color: var(--whiteColor) !important;
}

.btn.lineColor{
	background-color: inherit !important;
	border: 1px solid var(--mainColor) !important;
	color: var(--mainColor) !important;
}


/* --------- puce */

.list{
	margin:0px;
	margin-left:20px;
	margin-bottom:10px;
	list-style: none;
}

.list.puce li:before{
	content: "•";
	margin-right:5px;
	font-weight:bolder;
}

.list.plus li:before{
	content: "+";
	margin-right:5px;
	font-weight:bolder;
}

.list.check li:before{
	content: "✓";
	margin-right:5px;
	font-weight:bolder;
}

.list.color li:before{
	color: var(--mainColor);
}

.list.grey li:before{
	color: var(--cColor);
}


/* --------- container */

.column .gb-headline{
	position: relative;
}

.column[class*="icon"] .gb-headline:before{
	content: "?";
	position: absolute; 
	font-weight:bolder;
	opacity: 0;
}

.column[class*="check"] .gb-headline:before{
	content: "✓";
}

.column[class*="plus"] .gb-headline:before{
	content: "+";
}

.column[class*="icon"] .gb-headline:before{
	right:calc(100% + 0.5em);
	top:0px;
	width:2em;
	opacity: 1;
	text-align:right;
	font-size: 1em;
}

.column[class*="icon"].big .gb-headline:before{
	right:calc(100% + 0.5em);
	font-size: 2em;
	width: 3em;
	line-height:100%;
}

.column[class*="icon"].color .gb-headline:before{
	color: var(--mainColor) !important;
}

.column[class*="icon"].grey .gb-headline:before{
	color: var(--cColor) !important;
}



.column[class*="icon"] .gb-headline,
.column[class*="icon"] p{
	margin-left:calc(2rem + 0.5rem);

}

.column[class*="icon"].big .gb-headline,
.column[class*="icon"].big p{
	margin-left:calc(3rem + 0.5rem);

}
/* ------- global */
.gb-inside-container{
	padding: 0px 40px;
}

/* ------- menu */
.main-navigation .main-nav ul li[class*="current-menu-"] > a{
	color: var(--darkColor) !important;
}
.main-navigation .main-nav ul li[class*="current-menu-"]:first-child > a, 
.main-navigation .main-nav ul li[class*="current-menu-"]:last-child > a{
	color: var(--mainColor) !important;
}


/* -------- form */

form .haveTo{
	color: red;
}
form .dsc{
	display: inline-block;
	padding: 10px;
	border: 1px solid var(--eColor);
	background-color: var(--lightColor);
	font-size: .75em;
}




/* -------- footer */
.site-footer{
	margin-top: 50px;
}
.footerSite{
	background-color: var(--lightColor) !important;
}
.footerSite .footerMenu{
	list-style: none;
	margin: 0px;

}
.footerSite .footerMenu li a{
	padding: 10px;
	display: block;
	border-bottom:1px dotted var(--darkColorTrans);
	color: var(--darkColor);
	text-decoration: none;
}


.footerSite.color{
	background-color: var(--mainColor) !important;
}
.footerSite.color >*{
	color: var(--contrastColor) !important;

}
.footerSite.color .footerMenu li a{
	border-bottom:1px dotted var(--lightColorTrans);
	color: var(--contrastColor) !important;
}

.footerSite.dark{
	background-color: var(--darkColor) !important;
}
.footerSite.dark >*{
	color: var(--whiteColor) !important;
}
.footerSite.dark .footerMenu li a{
	border-bottom:1px dotted var(--lightColorTrans);
	color: var(--whiteColor) !important;
	opacity: .5;
}